(function (lib, img, cjs, ss) {

var p; // shortcut to reference prototypes
var rect; // used to reference frame bounds

// library properties:
lib.properties = {
	width: 1280,
	height: 720,
	fps: 30,
	color: "#FFFFFF",
	manifest: [
		{src:"images/Bitmap1.png", id:"Bitmap1"},
		{src:"images/Bitmap10.png", id:"Bitmap10"},
		{src:"images/Bitmap11.png", id:"Bitmap11"},
		{src:"images/Bitmap12.png", id:"Bitmap12"},
		{src:"images/Bitmap2.png", id:"Bitmap2"},
		{src:"images/Bitmap3.png", id:"Bitmap3"},
		{src:"images/Bitmap4.png", id:"Bitmap4"},
		{src:"images/Bitmap5.png", id:"Bitmap5"},
		{src:"images/Bitmap6.png", id:"Bitmap6"},
		{src:"images/Bitmap7.png", id:"Bitmap7"},
		{src:"images/Bitmap8.png", id:"Bitmap8"},
		{src:"images/Bitmap9.png", id:"Bitmap9"}
	]
};



// symbols:



(lib.Bitmap1 = function() {
	this.initialize(img.Bitmap1);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,291,287);


(lib.Bitmap10 = function() {
	this.initialize(img.Bitmap10);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,88,96);


(lib.Bitmap11 = function() {
	this.initialize(img.Bitmap11);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,78,87);


(lib.Bitmap12 = function() {
	this.initialize(img.Bitmap12);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,884,257);


(lib.Bitmap2 = function() {
	this.initialize(img.Bitmap2);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,564,345);


(lib.Bitmap3 = function() {
	this.initialize(img.Bitmap3);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,93,113);


(lib.Bitmap4 = function() {
	this.initialize(img.Bitmap4);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,92,113);


(lib.Bitmap5 = function() {
	this.initialize(img.Bitmap5);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,82,92);


(lib.Bitmap6 = function() {
	this.initialize(img.Bitmap6);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,78,87);


(lib.Bitmap7 = function() {
	this.initialize(img.Bitmap7);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,88,96);


(lib.Bitmap8 = function() {
	this.initialize(img.Bitmap8);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,93,113);


(lib.Bitmap9 = function() {
	this.initialize(img.Bitmap9);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,131,127);


(lib.truskawka2 = function() {
	this.initialize();

	// Layer 2
	this.instance = new lib.Bitmap6();
	this.instance.setTransform(-5.2,-1);

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-5.2,-1,78,87);
p.frameBounds = [rect];


(lib.truskawka = function() {
	this.initialize();

	// Layer 2
	this.instance = new lib.Bitmap11();
	this.instance.setTransform(-5.2,-1);

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-5.2,-1,78,87);
p.frameBounds = [rect];


(lib.sliwka = function() {
	this.initialize();

	// Layer 2
	this.instance = new lib.Bitmap5();
	this.instance.setTransform(-5.7,-16.3);

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-5.7,-16.3,82,92);
p.frameBounds = [rect];


(lib.pear = function() {
	this.initialize();

	// Layer 3
	this.instance = new lib.Bitmap4();
	this.instance.setTransform(-37.2,-71.9);

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-37.2,-71.9,92,113);
p.frameBounds = [rect];


(lib.jablko2 = function() {
	this.initialize();

	// Layer 2
	this.instance = new lib.Bitmap3();
	this.instance.setTransform(-1,-1);

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-1,-1,93,113);
p.frameBounds = [rect];


(lib.jablko = function() {
	this.initialize();

	// Layer 2
	this.instance = new lib.Bitmap8();
	this.instance.setTransform(-1,-1);

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-1,-1,93,113);
p.frameBounds = [rect];


(lib.brzoskwinai2 = function() {
	this.initialize();

	// Layer 2
	this.instance = new lib.Bitmap10();
	this.instance.setTransform(3,5);

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(3,5,88,96);
p.frameBounds = [rect];


(lib.brzoskwinai = function() {
	this.initialize();

	// Layer 2
	this.instance = new lib.Bitmap7();
	this.instance.setTransform(3,5);

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(3,5,88,96);
p.frameBounds = [rect];


(lib.banan = function() {
	this.initialize();

	// Layer 2
	this.instance = new lib.Bitmap9();
	this.instance.setTransform(-1,9);

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-1,9,131,127);
p.frameBounds = [rect];


(lib.exerciseContainer = function(mode,startPosition,loop) {
if (loop == null) { loop = false; }	this.initialize(mode,startPosition,loop,{});

	// timeline functions:
	this.frame_0 = function() {
		/* Ustawienia */
		var config = {
			id: '13236',
			title: 'Oblicz iloczyny. Ozdób ciasto owocami.',
			type: 'drag',
			container: this,
			prefix: 'drag_',
			prefix2: 'drop_',
			/*
			groupdrags: {		
				1: ['1', '2', '3', '6'],
			},
			/*
			groupdrops: {
				1: [1,2,3],
				2: [4,5,6],
				3: [7,8,9]
			},
			*/	
			results: [
				/*drop_1:*/ '1',
				/*drop_2:*/ '2',
				/*drop_3:*/ '3',
				/*drop_4:*/ '4',	
				/*drop_5:*/ '5',	
				/*drop_6:*/ '6',	
				/*drop_7:*/ '7',	
				/*drop_8:*/ '8',	
				/*drop_9:*/ '9',		
			],
			range: 20,
			alpha: 0,
			alpha2: 0,
			scale: 0.8,
			//rotation: 'auto',
			//size: 'auto',
			//zindex: 3,
			
			exerciseAfterInit: function(container) {
				//container['drag_1'].rotate = 60;
			},
			exerciseBeforeFinish: function(container) {
				
			},
			exerciseExtraCheck: function(container) {
				
			},
		}
		
		exerciseOnInit(config);
		
		this.stop();
		
		/*---------------------------------------------------------------------------------------------------------------
		/* Help
		/*---------------------------------------------------------------------------------------------------------------
		 
		id - Id cwiczenia
		title - Tytul cwiczenia
		type - Typ Cwiczenia
		contanier - Kontener cwiczenia
		groupdrags - Lista grup dagow oraz przypisane do nich identyfikatory (unikatowa liczba) obiektow bez prefixow
		groupdrags - Lista grup targetow oraz przypisane do nich identyfikatory (unikatowa liczba) obiektow bez prefixow
		prefix - Prefixy w nazwach obiektow
		results - Rozwiazanie jako tablica identyfikatorow. Znak '|' definuje alternatywe, a '&' oznacza sume.	
		Przyklad:
		Cwiczenie typu sort.
		Odpowiedzi: [5,2,1,4,5] - tablica z ulozonymi w odpowiedniej kolejnisci identyfikatorami obiektow sortowanych.
		Cwiczenie typu drag.
		Odpowiedzi: [5,1|3,2&4] - tablica z id obiektow przeciaganych lub grup. W tym wariancie kazdy kolejny element z indexem 'i' w tablicy odpowiada targetowi o nazwie 'prefix+i'.
		np. prawidlowa odpowiedzia dla drop_1 jest obiekt drag_5, dla drop_2 obiekt drag_1 lub drag_3, dla drop_3 obiekt drag_2 oraz drag_4.
		range - Zakres dociagania
		alpha - Przezroczystosc targetu
		alpha2 - Przezroczystosc targetu po najechaniu
		rotation - Dostosowanie obrotu obiektu do targetu
		scale - Skalowanie obiektu po upuszczeniu
		size - Skalowanie obiektu do rozmiarow targetu
		zindex - Pozycja z obiektu
		/*-------------------------------------------------------------------------------------------------------------*/
	}

	// actions tween:
	this.timeline.addTween(cjs.Tween.get(this).call(this.frame_0).wait(1));

	// content
	this.drop_9 = new lib.truskawka();
	this.drop_9.setTransform(662.5,243.7,1,1,0,0,0,35.9,42.5);
	this.drop_9.shadow = new cjs.Shadow("rgba(0,0,0,1)",0,0,5);

	this.drop_8 = new lib.brzoskwinai2();
	this.drop_8.setTransform(1040.3,244.3,1,1,0,0,0,47.6,52.1);
	this.drop_8.shadow = new cjs.Shadow("rgba(0,0,0,1)",0,0,5);

	this.drop_7 = new lib.banan();
	this.drop_7.setTransform(799.1,234.5,1,1,0,0,0,69.5,67.3);
	this.drop_7.shadow = new cjs.Shadow("rgba(0,0,0,1)",0,0,5);

	this.drop_6 = new lib.jablko();
	this.drop_6.setTransform(918.9,236.5,1,1,0,0,0,45.3,55.3);
	this.drop_6.shadow = new cjs.Shadow("rgba(0,0,0,1)",0,0,5);

	this.drop_5 = new lib.brzoskwinai();
	this.drop_5.setTransform(750.6,180.8,1,1,0,0,0,47.6,52.1);
	this.drop_5.shadow = new cjs.Shadow("rgba(0,0,0,1)",0,0,5);

	this.drop_1 = new lib.jablko2();
	this.drop_1.setTransform(884.3,152.5,1,1,0,0,0,45.3,55.3);
	this.drop_1.shadow = new cjs.Shadow("rgba(0,0,0,1)",0,0,5);

	this.drop_4 = new lib.truskawka2();
	this.drop_4.setTransform(926.7,95.2,1,1,0,0,0,35.9,42.5);
	this.drop_4.shadow = new cjs.Shadow("rgba(0,0,0,1)",0,0,5);

	this.drop_3 = new lib.sliwka();
	this.drop_3.setTransform(1018.2,164,1,1,0,0,0,44.8,34.5);
	this.drop_3.shadow = new cjs.Shadow("rgba(0,0,0,1)",0,0,5);

	this.drop_2 = new lib.pear();
	this.drop_2.setTransform(771.9,109);
	this.drop_2.shadow = new cjs.Shadow("rgba(0,0,0,1)",0,0,5);

	this.drag_4 = new lib.truskawka2();
	this.drag_4.setTransform(403.5,597.2,1,1,0,0,0,35.9,42.5);
	this.drag_4.shadow = new cjs.Shadow("rgba(0,0,0,1)",0,0,5);

	this.drag_8 = new lib.brzoskwinai2();
	this.drag_8.setTransform(856.3,584.3,1,1,0,0,0,47.6,52.1);
	this.drag_8.shadow = new cjs.Shadow("rgba(0,0,0,1)",0,0,5);

	this.drag_1 = new lib.jablko2();
	this.drag_1.setTransform(91.3,597.5,1,1,0,0,0,45.3,55.3);
	this.drag_1.shadow = new cjs.Shadow("rgba(0,0,0,1)",0,0,5);

	this.drag_3 = new lib.sliwka();
	this.drag_3.setTransform(308.2,603.6,1,1,0,0,0,44.8,34.5);
	this.drag_3.shadow = new cjs.Shadow("rgba(0,0,0,1)",0,0,5);

	this.drag_7 = new lib.banan();
	this.drag_7.setTransform(746.1,563.9,1,1,0,0,0,69.5,67.3);
	this.drag_7.shadow = new cjs.Shadow("rgba(0,0,0,1)",0,0,5);

	this.drag_9 = new lib.truskawka();
	this.drag_9.setTransform(962.5,584.3,1,1,0,0,0,35.9,42.5);
	this.drag_9.shadow = new cjs.Shadow("rgba(0,0,0,1)",0,0,5);

	this.drag_6 = new lib.jablko();
	this.drag_6.setTransform(616.3,584.4,1,1,0,0,0,45.3,55.3);
	this.drag_6.shadow = new cjs.Shadow("rgba(0,0,0,1)",0,0,5);

	this.drag_5 = new lib.brzoskwinai();
	this.drag_5.setTransform(500.6,592.8,1,1,0,0,0,47.6,52.1);
	this.drag_5.shadow = new cjs.Shadow("rgba(0,0,0,1)",0,0,5);

	this.drag_2 = new lib.pear();
	this.drag_2.setTransform(183.7,603);
	this.drag_2.shadow = new cjs.Shadow("#000000",0,0,5);

	this.instance = new lib.Bitmap2();
	this.instance.setTransform(547.1,65.8);

	this.instance_1 = new lib.Bitmap1();
	this.instance_1.setTransform(22,104.9);

	this.instance_2 = new lib.Bitmap12();
	this.instance_2.setTransform(433,232.1,0.934,0.934);

	this.timeline.addTween(cjs.Tween.get({}).to({state:[{t:this.instance_2},{t:this.instance_1},{t:this.instance},{t:this.drag_2},{t:this.drag_5},{t:this.drag_6},{t:this.drag_9},{t:this.drag_7},{t:this.drag_3},{t:this.drag_1},{t:this.drag_8},{t:this.drag_4},{t:this.drop_2},{t:this.drop_3},{t:this.drop_4},{t:this.drop_1},{t:this.drop_5},{t:this.drop_6},{t:this.drop_7},{t:this.drop_8},{t:this.drop_9}]}).wait(1));

}).prototype = p = new cjs.MovieClip();
p.nominalBounds = rect = new cjs.Rectangle(22,34.1,1237.1,627.1);
p.frameBounds = [rect];


// stage content:
(lib.index = function() {
	this.initialize();

	// exercise
	this.container = new lib.exerciseContainer();
	this.container.setTransform(916.5,389,1,1,0,0,0,916.5,389);

	this.addChild(this.container);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(662,394.1,1237.1,627.1);
p.frameBounds = [rect];

})(lib = lib||{}, images = images||{}, createjs = createjs||{}, ss = ss||{});
var lib, images, createjs, ss;